> For the complete documentation index, see [llms.txt](https://search.docs.reactify.com.au/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://search.docs.reactify.com.au/4/components/resultlist.md).

# ResultList

### Purpose

The ResultList component renders the result cards and pagination components.

### Usage

{% tabs %}
{% tab title="Basic" %}

```tsx
import React from "react";
import { ResultList, ResultCard, ResultCardCallout, ResultPagination, ResultLoadMoreButton, ResultPaginationNextPrev } from "@usereactify/search";

export const Component: React.FC = () => {
  return (
    <ResultList
      gridStyle={{}}
      gridColumns={4}
      gridGap={4}
      pageSize={24}
      renderLoading={() => <>Loading...</>}
      renderNoResults={() => <>No results.</>}
      renderError={() => <>Error loading results...</>}
      renderResultCard={(props) => <ResultCard {...props} />}
      renderResultCardCallout={(props) => <ResultCardCallout {...props} />}
      renderPagination={(props) => <ResultPagination {...props} />}
      renderLoadMoreButton={(props) => <ResultLoadMoreButton {...props} />}
      renderPaginationNextPrev={(props) => <ResultPaginationNextPrev {...props} />}
    />
  );
};
```

{% endtab %}
{% endtabs %}

### Props

```typescript
type ResultsProps = {
  /** Classname prop for the list wrapper */
  listClassName?: string;
  /** Render method called when an error occurs */
  renderError?: React.FC<{ error: ReactivesearchError }>;
  /** Render method called while loading for the first time */
  renderLoading?: React.FC;
  /** Render method called when no results are found */
  renderNoResults?: React.FC;
  /** Render method called before results */
  renderBefore?: React.FC;
  /** Render method called after results */
  renderAfter?: React.FC;
  /** Render method called once for each product result */
  renderResultCard?: React.FC;
  /** Render method called once for each callout result */
  renderResultCardCallout?: React.FC;
  /** Render method called for pagination type "pagination" */
  renderPagination?: React.FC;
  /** Render method called for pagination type "next_prev" */
  renderPaginationNextPrev?: React.FC;
  /** Render method called for pagination type "load_more" */
  renderLoadMoreButton?: React.FC;
  /** Advanced Usage: Override the default amount of results per page */
  pageSize?: number;
};
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://search.docs.reactify.com.au/4/components/resultlist.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
